
The neurologist prescribed me a migraine medication, which was an anti-convulsant. The night of February 22nd, as I did every night, I took the corresponding dosage of the medication. However, in addition to taking this medication, I also ate a marijuana cake. It seems that combination was lethal. At the beginning, I felt the hallucinogenic effects of the drug, followed by dizziness. I couldn’t talk, and I had no coordination. I remembered that I was receiving messages on my cell phone, but I couldn’t answer them; I felt really bad. That night my brother had been attending a wedding and sent me a photo using 'whatsapp.' I remember seeing the photo and then I fainted.

Afterwards, I felt myself leaving my physical body. I was able to look at things around my bed as my body was facing down. I had a sensation of happiness and saw above the head of my physical body a brilliant light with plenty of golden rays. It was beautiful. Suddenly, I received thoughts saying this is how we feel as we die. I just thought, ‘Well, finally the time has come and I am happy, because I want to depart. It has been accomplished.’ I proceeded to go to the light, but when I tried to walk through the door that embraced the light.

I heard many voices, which I identified. It was the voice of my uncle saying that what has been done is done and there’s no going back; it was my decision. I heard my mother’s cry, but it did not stop me; my aunt also said that she couldn't believe what I had just done. My uncle urged them to pick up the body as I had made my decision to leave them. My brother was devastated. He was crying inconsolably to the point that this situation pulled me to go back. I didn’t want to leave the light. I wanted to go, but seeing my brother’s feelings pulled me to go back to my body. I told him that I’ve always wanted to leave and that he needed to accept it. I was able to let him know that I will always take care of him wherever I was.

Once I said this, I followed the light and entered a world or some kind of level. It was very dark, and I couldn’t see much around me. I was just floating. Suddenly, in the middle of darkness, I felt an extreme cold, which I’d never felt before. In this world, I saw a body, facing down very different from my physical body. It was so thin that I can see its bones. Next to it, there was a doll. I knew that the body was me. I asked myself, ‘What happened to me? Why am I looking like this? What is that doll doing next to me?’ Immediately, I heard an answer, ‘It was you a long time ago. That’s the way you died in one of your past lives; you were raped and murdered.’ I was afraid and cold at this scene.

Next, I went up to a different level, and it wasn’t that cold; it was warmer. I saw what looked like a deserted land with a beautiful sunset. I observed the sunset and suddenly passed to the next level. As I passed every level, I felt as if I were flying through the clouds, like a bird, but faster. Next, I went to a level much colder than the first one and darker. Being there, I heard a voice telling me that I had arrived but felt an intense pain in my chest, close to the heart; it felt excruciating. I couldn’t see the person who talked to me; he only got closer and said, ‘In this level, you’ll only experience this type of pain. You don’t like it, do you?’ I answered, NO. Then, I felt a strong force taking me downwards. I started descending across all previous levels. I arrived at a warm and beautiful place, but the force continued pushing me down until I reached the first level, where my skinny body lay. Once again, I felt this intense force and went through the door where I had first walked.

I felt an intense headache as I returned to my physical body. I opened my eyes without remembering who I was or to whom that bed and room belonged. I felt disoriented and afraid, because I had no memory of who I was and why I was there. I heard sounds, which turned out to be my cell phone’s beeps. The message contained a photo of my brother at the wedding. This photo brought all my memories back. I was very tired and ready to go to sleep.
